summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/misc-functions.sh')
-rwxr-xr-xbin/misc-functions.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 71137f24..05a0f793 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -55,7 +55,7 @@ install_qa_check() {
sleep 1
done
- if type -p scanelf > /dev/null && ! hasq binchecks ${RESTRICT}; then
+ if type -P scanelf > /dev/null && ! hasq binchecks ${RESTRICT}; then
local qa_var insecure_rpath=0 tmp_quiet=${PORTAGE_QUIET}
# display warnings when using stricter because we die afterwards
@@ -366,8 +366,8 @@ install_mask() {
}
preinst_bsdflags() {
- type -p chflags &>/dev/null || return 0
- type -p mtree &>/dev/null || return 1
+ type -P chflags > /dev/null || return 0
+ type -P mtree > /dev/null || return 1
# Save all the file flags for restoration after installation.
mtree -c -p "${D}" -k flags > "${T}/bsdflags.mtree"
# Remove all the file flags so that the merge phase can do anything
@@ -377,8 +377,8 @@ preinst_bsdflags() {
}
postinst_bsdflags() {
- type -p chflags &>/dev/null || return 0
- type -p mtree &>/dev/null || return 1
+ type -P chflags > /dev/null || return 0
+ type -P mtree > /dev/null || return 1
# Restore all the file flags that were saved before installation.
mtree -e -p "${ROOT}" -U -k flags < "${T}/bsdflags.mtree" &> /dev/null
}